Subject: Re: bug#31824: guix offload test fails when the remote daemon uses --debug

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 17 Jun 2018 21:45:18 -0400

Hi Ludo!

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> In guix/scripts/offload.scm:
>>     579:6  3 (_ _ . _)
>> In ice-9/format.scm:
>>   1590:19  2 (format #<output: file /dev/pts/1> "~:[~*~;guix ~a: ~]…" …)
>>    197:20  1 (format:format-work "~:[~*~;guix ~a: ~]~aremove evalua…" …)
>> In unknown file:
>>            0 (scm-error misc-error #f "~A" ("error in format") #f)
>
> I fixed the format issue in 265048cc897af8189c64cdfaa41820490f8fad9e.
> Could you try again?

Tried it, and it's working great! Thanks for the quick fix!

> This may be the same issue as <https://bugs.gnu.org/31023>.

I'm not sure as I'm not yet able to offload yet, but I'll report in the
bug above when I do!

I'm closing this one :).

Maxim